.PHONY: default collect profile

default: data collect

data:
	git clone https://git.rwth-aachen.de/gereon.kremer/diss-data.git data/

collect:
	cd data/ && git pull
	python3 collect.py

profile:
	python3 -m cProfile -o profile.prof collect.py
	gprof2dot -f pstats profile.prof -o profile.dot
	dot -Tpdf -O profile.dot
